xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (C) 2007 Andrea Rossato
License | BSD3
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Prompt.Theme

Contents

- Usage

Description

A prompt for changing the theme of the current workspace

Synopsis

- themePrompt :: XPConfig -> X ()
- data ThemePrompt

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.Theme

in your keybindings add:

      , ((modm .|. controlMask, xK_t), themePrompt def)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

themePrompt :: XPConfig -> X () #

data ThemePrompt #

#### Instances

Instances details

XPrompt ThemePrompt # |
Instance details Defined in XMonad.Prompt.Theme Methods showXPrompt :: ThemePrompt -> String # nextCompletion :: ThemePrompt -> String -> [String] -> String # commandToComplete :: ThemePrompt -> String -> String # completionToCommand :: ThemePrompt -> String -> String # completionFunction :: ThemePrompt -> ComplFunction # modeAction :: ThemePrompt -> String -> String -> X () #